[PACKAGE]: ../../raw/master/mkp/check_radius-0.1.0-20240428.mkp "check_radius-0.1.0-20240428.mkp"
# Check RADIUS

This is a (very) basic active RADIUS check. Tests if a RADIUS server is responsive (accept/reject/timeout). There is (limited) support to add AV-pairs to the RADIUS request.

---
### Download
* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There migth be incompatible changes.
                        
---
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp add PAKAGE_NAME.mkp
mkp enable PAKAGE_NAME VERSION
```

In the Enterprise/Free/Cloud edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to Contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Check Info

The plugin creates the service **_RADIUS_** with an optional item.

<details><summary>Montoring states</summary>

| State | condition | WATO | 
| ------ | ------ | ------ |
| WARN/CRIT | wrong response code | yes |
| WARN/CRIT | respos time above levels | yes |
| CRIT | Network error | no |
| CRIT | RADIUS request timeout | no |
| WARN/CRIT | wrong # of response attributes | yes |

</details>

<details><summary>Perfdata</summary>

| Metric | Unit | Perfometer |
| ------ | ------ | ------ |
| response timne | s | yes |

</details>

---
### WATO
<details><summary>Active check rule</summary>

| Section | Rule name |
| ------ | ------ |
| HTTP, TCP, Email, ... | RADIUS service |

| Option | Defailt value | Comment |
| ------ | ------ | --- |
| Service description | none | the optional item |
| Server IP-address or name | none | optional |
| Authentication port | 1812 | |
| Shared secret | none | |
| Request timeout | 1 secunde | |
| User name | dummyuser | |
| User password | dummypassword | |
| Request Attributes | none | List of optional AV-pairs for the request |
| Expected response | none | Accept/Reject |
| Monitoring state not expected response | Warn | |
| Max. response time | none | Upper levels max. response time in ms |
| # of expected attribues in response | none | |
| Monitoring state on wrong # of response attributes | Warn |  |

</details> 

<details><summary>Supported Request Attributes</summary>

- Called-Station-Id
- Calling-Station-Id
- Framed-MTU
- NAS-Identifier
- NAS-IP-Address
- NAS-Port-Id
- NAS-Port-Type
- NAS-Port
- Service-Type

</details>

---
### Sample Output

Sample output

![sample output](/img/sample.png?raw=true "sample output")

Sample output details

![sample output details](/img/sample-details.png?raw=true "sample output details")

